BNPASS(1)

NAME
bnpass - bnetd password utility

SYNOPSIS
bnpass [options] [--] [cleartextpassword]

DESCRIPTION
bnpass is a small utility which will output the ASCII hashed version of the clear text password in the same format as used in bnetd account files. This may be useful for writing a script to generate accounts or to reset a password in the bnetd user database.

If cleartextpassword is not specified you will be prompted to enter it into the standard input.

OPTIONS

-h --help --usage
    Print usage information and exit.

-v --version
    Print its version number and exit.

--  Signal end of options. Any further arguments will be treated as passwords even if they begin with a "-".

NOTES
The current version is available with the bnetd distribution at:

    http://www.bnetd.org/

SEE ALSO
bnetd(1), bnchat(1), bnftp(1)

AUTHOR
Ross Combs (ross@bnetd.org)